# Find out the library directory (most likely this script was "sourced"
# from another script!).
[ -f "/opt/drweb.com/share/scripts/include/lib.sh" ] && script_dir="/opt/drweb.com/share/scripts/include"
[ -f "/usr/local/libexec/drweb.com/share/scripts/include/lib.sh" ] && script_dir="/usr/local/libexec/drweb.com/share/scripts/include"
[ -z "$script_dir" ] && printf '\nScript library directory was not created. Please reinstall drweb-common package.\n\n' && exit 1

# Include all library scripts.
includes="gettext.sh strings.sh global.sh platform.sh services.sh key.sh icapd.sh defaults.sh"
for f in $includes ; do
    [ -f "$script_dir/$f" ] && . $script_dir/$f
done
