# We not use `envsubst' because it may not present in system, and we not use
# `eval' for security reasons.
#
# NOTE: Solaris's gettext parse and replace format symbols (like \n, \t),
# Linux's gettext does not do it, than, not use this symbols with gettext!
#
# This eval_gettext - only wrapper for gettext, without eval.

eval_gettext() {

if type gettext >/dev/null 2>&1 && [ -n "$1" ]; then
    gettext "$1" || echo "$1"
else
    echo "$1"
fi

}
